> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to webhooks

> Subscribe to events via webhooks for a supplier.



## OpenAPI

````yaml dropship_webhooks.openapi post /v1/brands/{brand_id}/webhooks/
openapi: 3.0.0
info:
  title: Webhooks API
  version: 1.0.0
  description: >
    Endpoint for subscribing to retailer-specific event notifications through
    webhooks.
servers:
  - url: https://marketplace-api.fabric.inc
    description: Production server
security:
  - Bearer: []
tags:
  - name: Webhooks
    description: Subscribe to merchant webhooks
paths:
  /v1/brands/{brand_id}/webhooks/:
    post:
      tags:
        - Webhooks
      summary: Subscribe to webhooks
      description: Subscribe to events via webhooks for a supplier.
      parameters:
        - name: brand_id
          in: path
          required: true
          description: >-
            The unique brand ID. In the Dropship UI this is called the
            **Supplier ID**. To find your Supplier ID, click your supplier name
            in the top nav.
          schema:
            type: integer
            example: 1001
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscription'
      responses:
        '201':
          description: Webhook subscription created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSubscription'
components:
  schemas:
    WebhookSubscription:
      type: object
      description: Webhook subscription payload
      properties:
        id:
          type: integer
          description: Unique identifier for the subscription
          example: 11011
        url:
          type: string
          format: uri
          description: Webhook listener endpoint
          example: https://webhook.example.com/notify
        event:
          type: string
          description: The event to subscribe to (e.g., order.created)
          example: order.created
        is_active:
          type: boolean
          description: Whether the subscription is currently active
          example: true
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````